IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name      = N'CD_CTR'
      AND Object_ID = Object_ID(N'RC_CONC_PDV_VD_TEF'))
BEGIN
    ALTER TABLE RC_CONC_PDV_VD_TEF
  ADD CD_CTR INT NOT NULL
END

ALTER TABLE [dbo].[RC_CONC_PDV_VD_TEF] DROP CONSTRAINT [PK_RC_CONC_PDV_VD_TEF]

ALTER TABLE [dbo].[RC_CONC_PDV_VD_TEF] ADD  CONSTRAINT [PK_RC_CONC_PDV_VD_TEF] PRIMARY KEY CLUSTERED 
(
	[CD_EMP] ASC,
	[CD_CTR_LOTE] ASC,
	[CD_FILIAL] ASC,
	[CD_VD] ASC,
	[CD_CTR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
